#!/bin/bash

# accept connections to auralis

is_valid_port()
{
    port=$1
    [[ $port =~ ^[0-9]+$ ]] && [ $port -gt 0 ] && [ $port -le 65535 ]
    return $?
}

SECONDARY_PORT=$(auralis-console apache:config auralis_secondary_port 2>/dev/null)
[ $? -eq 0 ] || exit
is_valid_port ${SECONDARY_PORT} || exit
/sbin/iptables -A INPUT -p "tcp"  --dport ${SECONDARY_PORT} -j ACCEPT
/sbin/ip6tables -A INPUT -p "tcp"  --dport ${SECONDARY_PORT} -j ACCEPT

PRIMARY_PORT=$(auralis-console apache:config auralis_primary_port 2>/dev/null)
[ $? -eq 0 ] || exit
is_valid_port ${PRIMARY_PORT} || exit
/sbin/iptables -A INPUT -p "tcp"  --dport ${PRIMARY_PORT} -j ACCEPT
/sbin/ip6tables -A INPUT -p "tcp"  --dport ${PRIMARY_PORT} -j ACCEPT
